#include <iostream>
#include <cmath>
using namespace std;
int main(){
    int n,k;
    cin>>n>>k;
    int a[n];
    for(int i = 0 ; i < n ; i++){
        cin>>a[i];
    }
    int ma = a[0], mi = a[0];
    for(int i = 1 ; i < n ; i++){
        if(a[i] > ma) ma = a[i];
        if(a[i] < mi) mi = a[i];
    }
    int abma = abs(k - ma), abmi = abs(k - mi);
    int miab = abma;
    if(abmi < miab) miab = abmi;
    cout<<(miab + ma) - mi;
    return 0;
}